
declare global {
    interface Window {
        requestIdleCallback: (callback: (deadline: { didTimeout: boolean, timeRemaining: () => number }) => void, options?: { timeout: number }) => number | NodeJS.Timeout;
        cancelIdleCallback: (id: number | NodeJS.Timeout) => void;
        debug: any;
    }
}
declare const window: Window;

window.requestIdleCallback =
    window.requestIdleCallback ||
    function (cb) {
        var start = Date.now();
        return setTimeout(function () {
            console.log("Idle Timeout reached!");
            cb({
                didTimeout: false,
                timeRemaining: function () {
                    return Math.max(0, 50 - (Date.now() - start));
                }
            });
        }, 1);
    };

window.cancelIdleCallback =
    window.cancelIdleCallback ||
    function (id) {
        clearTimeout(id as any);
    };

window.debug = {};


import App from './App.svelte';
import Theme, { ThemeStates } from "./helper/theme";

window.debug.theme = Theme;

console.log("Starting with Theme: ", ThemeStates[Theme.active()]);

const app = new App({
    target: document.getElementById("content")
});

export default app;